%option prefix="acstate"
%option noyywrap
%option nounput

%{
#include "acpiintf.h"
#include "valueparsers.h"

static ACPInfo *cur_acpinfo;  /* ACPI struct
                                 we're parsing into right now */

%}

%x STATE
%%
^"state:"[[:space:]]+	{ BEGIN(STATE);}
<STATE>"off-line"	{ cur_acpinfo->batt=1;
	  BEGIN(0);
	}
<STATE>"on-line"	{ cur_acpinfo->batt=0;
	  BEGIN(0);
	}
<STATE>.	{ cur_acpinfo->batt=-1;
	  BEGIN(0);
	}
.
"\n"
%%

int parse_acstate(char *srcfile, ACPInfo *acpinfo)
{
  if (!(acstatein = fopen(srcfile, "r"))) {
    return 1;
  }
  cur_acpinfo = acpinfo;
  acstatelex();
  fclose(acstatein);
  return 0;
}

/* vi:ts=40:
*/
