#define _ISOC99_SOURCE
#include <stdlib.h>
#include <time.h>
#include <math.h>
#include "history.h"

void history_clear(History *hist)
{
	int i;

	for (i=0; i<hist->length; i++) {
		hist->vals[i].val = HIST_NO_VAL;
	}
}

History *history_new(int history_length)
{
	History *hist=malloc(sizeof(History)+sizeof(Timedvalue)*history_length);

	if (hist) {
		hist->next_index = 0;
		hist->length = history_length;
		history_clear(hist);
	}
	return hist;
}

double history_average(History *hist)
{
	double sum=0;
	int num_vals=0, i;
	
	for (i=0; i<hist->length; i++) {
		if (hist->vals[i].val!=HIST_NO_VAL) {
			num_vals++;
			sum += hist->vals[i].val;
		}
	}
	if (num_vals) {
		return sum/num_vals;
	}
	return NAN;
}

double history_diffaverage(History *hist)
{
	double sum=0;
	int num_vals=0, i;
	
	for (i=0; i<hist->length; i++) {
		Timedvalue *lead=hist->vals+i;
		Timedvalue *trail=hist->vals+((i+1)%hist->length);
		if (lead->val!=HIST_NO_VAL&&trail->val!=HIST_NO_VAL) {
			num_vals++;
			sum += (trail->val-lead->val)/difftime(trail->time, lead->time);
		}
	}
	if (num_vals) {
		return sum/num_vals;
	}
	return NAN;
}

void history_addval(History *hist, double val)
{
	hist->vals[hist->next_index].val = val;
	hist->vals[hist->next_index].time = time(NULL);
	hist->next_index = (hist->next_index+1)%hist->length;
}
