%option prefix="thrmcooling"
%option noyywrap
%option nounput

%{
#include "acpiintf.h"
#include "valueparsers.h"

static ACPInfo *cur_acpinfo;  /* ACPI struct
                                 we're parsing into right now */

%}

%x MODE
%%
^"state:"[[:space:]]+	{ BEGIN(MODE);}
<MODE>"active"	{ cur_acpinfo->cooling=1;
	  BEGIN(0);
	}
<MODE>.	{ cur_acpinfo->cooling=0;
	  BEGIN(0);
	}
.
"\n"
%%

int parse_thrmcooling(char *srcfile, ACPInfo *acpinfo)
{
  if (!(thrmcoolingin = fopen(srcfile, "r"))) {
    return 1;
  }
  cur_acpinfo = acpinfo;
  thrmcoolinglex();
  fclose(thrmcoolingin);
  return 0;
}

/* vi:ts=40:
*/
