%option prefix="thrmstate"
%option noyywrap
%option nounput

%{
#include "acpiintf.h"
#include "valueparsers.h"

static ACPInfo *cur_acpinfo;  /* ACPI struct
                                 we're parsing into right now */

%}

%x STATE
%%
^"state:"[[:space:]]+	{ BEGIN(STATE);}
<STATE>"active"	{ cur_acpinfo->state=1;
	  BEGIN(0);
	}
<STATE>.	{ cur_acpinfo->state=0;
	  BEGIN(0);
	}
.
"\n"
%%

int parse_thrmstate(char *srcfile, ACPInfo *acpinfo)
{
  if (!(thrmstatein = fopen(srcfile, "r"))) {
    return 1;
  }
  cur_acpinfo = acpinfo;
  thrmstatelex();
  fclose(thrmstatein);
  return 0;
}

/* vi:ts=40:
*/
