%option prefix="thrmtemp"
%option noyywrap
%option nounput

%{
#include "acpiintf.h"
#include "valueparsers.h"

static ACPInfo *cur_acpinfo;  /* ACPI struct
                                 we're parsing into right now */

%}

%x TEMP
%%
^"temperature:"[[:space:]]+	{ BEGIN(TEMP);}
<TEMP>[[:digit:]]+	{ parse_int(yytext,
	    &(cur_acpinfo->temperature));
	  BEGIN(0);
	}
.
"\n"
%%

int parse_thrmtemp(char *srcfile, ACPInfo *acpinfo)
{
  if (!(thrmtempin = fopen(srcfile, "r"))) {
    return 1;
  }
  cur_acpinfo = acpinfo;
  thrmtemplex();
  fclose(thrmtempin);
  return 0;
}

/* vi:ts=40:
*/
