%option prefix="thrmtrip"
%option noyywrap
%option nounput
%{
#include "acpiintf.h"
#include "valueparsers.h"

static ACPInfo *cur_acpinfo;  /* ACPI struct
                                 we're parsing into right now */

%}

%x CRITTEMP PASSTEMP
%%
^"critical"[^:]*:[[:space:]]+	{ BEGIN(CRITTEMP);}
<CRITTEMP>[[:digit:]]+	{ parse_int(yytext,
	    &(cur_acpinfo->critical_temp));
	  BEGIN(0);
	}
^"passive"[^:]*:[[:space:]]+	{ BEGIN(PASSTEMP);}
<PASSTEMP>[[:digit:]]+	{ parse_int(yytext,
	    &(cur_acpinfo->passive_temp));
	  BEGIN(0);
	}
.
"\n"
%%

int parse_thrmtrip(char *srcfile, ACPInfo *acpinfo)
{
  if (!(thrmtripin = fopen(srcfile, "r"))) {
    return 1;
  }
  cur_acpinfo = acpinfo;
  thrmtriplex();
  fclose(thrmtripin);
  return 0;
}

/* vi:ts=40:
*/
